Starting from `v1.1.0`, Sedona SQL supports raster data sources and raster operators in DataFrame and SQL. Raster support is available in all Sedona language bindings including ==Scala, Java, Python and R==.

## Initial setup

1. [Set up dependencies](../sql/#set-up-dependencies)
2. [Create Sedona config](../sql/#create-sedona-config)
3. [Initiate SedonaContext](../sql/#initiate-sedonacontext)

## API docs

[Read raster data in DataFrame](../../api/sql/Raster-loader/)

[Write raster data in DataFrame](../../api/sql/Raster-writer/)

[Raster operators in DataFrame](../../api/sql/Raster-operators/)

## Tutorials

[Python Jupyter Notebook](https://github.com/apache/sedona/blob/master/binder/ApacheSedonaRaster.ipynb)

## Performance

[Storing large raster geometries in Parquet files](../storing-blobs-in-parquet)